> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/national-cyber-crime-report.md).

# National Cyber Crime Report

The National Cyber Crime Support Suspect API provides an automated interface to check identifiers (mobile numbers, bank accounts, UPI IDs, emails, social media handles) against the National Cyber Crime Reporting Portal (<https://cybercrime.gov.in>).

## national\_cyber\_crime\_report

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>identifier</td><td>string</td><td>Yes</td><td>The identifier to check. Can be mobile, bank account, UPI ID, email, or social media handle. Min: 1, Max: 256 characters.</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "identifier": "im.sivaOfcl",
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
//Report Found
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "af761acb-1df9-45f2-9e41-e054a7e4b29b",
    "status": "completed",
    "result": {
        "identifier": "saddamHussein.Ofcl",
        "identifier_type": "Social Media Id",
        "flagged": true,
        "report_count": 1,
        "remarks": "This Social Media saddamHussein.Ofcl has been reported on National Cybercrime Reporting Portal (www.cybercrime.gov.in) as suspectSocial Media Id by the citizens."
    },
    "requested_at": "2026-04-13T09:30:49.124Z",
    "completed_at": "2026-04-13T09:32:32.287Z"
}

//Report Not Found

{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "completed",
    "result": {
        "identifier": "93601040xx",
        "identifier_type": "Mobile Number",
        "flagged": false,
        "report_count": 0,
        "remarks": "Not Found There are no records found with your search !!"
    },
    "requested_at": "2026-04-13T10:15:30.612Z",
    "completed_at": "2026-04-13T10:17:06.916Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "identifier should not be empty",
    "error": {
        "message": "identifier should not be empty",
        "field": "identifier",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid identifier received",
    "error": {
        "message": "Invalid identifier received",
        "field": "identifier",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-04-13T10:15:30.612Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
//Report Found
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "af761acb-1df9-45f2-9e41-e054a7e4b29b",
    "status": "completed",
    "result": {
        "identifier": "saddamHussein.Ofcl",
        "identifier_type": "Social Media Id",
        "flagged": true,
        "report_count": 1,
        "remarks": "This Social Media saddamHussein.Ofcl has been reported on National Cybercrime Reporting Portal (www.cybercrime.gov.in) as suspectSocial Media Id by the citizens."
    },
    "requested_at": "2026-04-13T09:30:49.124Z",
    "completed_at": "2026-04-13T09:32:32.287Z"
}

//Report Not Found

{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "completed",
    "result": {
        "identifier": "93601040xx",
        "identifier_type": "Mobile Number",
        "flagged": false,
        "report_count": 0,
        "remarks": "Not Found There are no records found with your search !!"
    },
    "requested_at": "2026-04-13T10:15:30.612Z",
    "completed_at": "2026-04-13T10:17:06.916Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
    "status": "in_progress",
    "requested_at": "2026-03-03T14:40:18.115Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/national-cyber-crime-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
